<script>
    import {
        mapMutations
    } from 'vuex'
    import {
        getConfig
    } from '@/api/app'
    import {
        setTabbar,
        strToParams
    } from '@/utils/tools'
    import {INVITE_CODE} from '@/config/cachekey'
    import Cache from '@/utils/cache'

    export default {
        onLaunch: function (options) {
            // 获取配置
            this.getConfigFun()
        },
        onShow: function (options) {

        },
        onHide: function () {

        },
        methods: {
            ...mapMutations(['setConfig']),
            async getConfigFun() {
                try {
                    const {
                        code,
                        data
                    } = await getConfig()
                    if (code == 1) {
                        this.setConfig(data)
                    }
                } catch (e) {
                }
            }
        }
    }
</script>
<style lang="scss">
    @import 'styles/common.scss';
    @import "components/uview-ui/index.scss";
    @import url('@/plugin/emoji-awesome/css/apple.css');
    /*每个页面公共css */
</style>
